---
title: SubmitEvent()
slug: Web/API/SubmitEvent/SubmitEvent
tags:
  - API
  - Allocate
  - Constructor
  - Event
  - Forms
  - HTML DOM
  - Initialize
  - Reference
  - SubmitEvent
  - submit
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <code><strong>SubmitEvent()</strong></code> constructor creates and returns a new {{domxref("SubmitEvent")}} object, which is used to represent a {{domxref("HTMLFormElement.submit_event", "submit")}} event fired at an {{Glossary("HTML")}} <a href="/en-US/docs/Learn/Forms">form</a>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <em>submitEvent</em> = new SubmitEvent(<em>type</em>,<em>eventInitDict</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>A {{domxref("DOMString")}} indicating the event which occurred. For <code>SubmitEvent</code>, this is always <code>submit</code>.</dd>
 <dt><code>eventInitDict</code> {{optional_inline}}</dt>
 <dd>An optional dictionary of initial values for the event's properties.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("SubmitEvent")}} object configured using the given inputs.</p>

<h2 id="Examples">Examples</h2>

<p>This code snippet locates a form in the current document, and then an HTML {{HTMLElement("button")}} within the form with the class <code>submit</code> on it. Next, a new {{domxref("SubmitEvent")}} is created, configured with its {{domxref("SubmitEvent.submitter", "submitter")}} set to the identified button (or <code>null</code> if the button wasn't found). Then the event is sent to the form, telling the form that it's been submitted by the button.</p>

<pre class="brush: js">const form = document.querySelector("form");
const formTrigger = form.querySelector("button.submit");
const submitEvent = new SubmitEvent("submit", { submitter: formTrigger });

form.dispatchEvent(submitEvent);</pre>

<p>This is a somewhat contrived example, as you can do nearly all of this much more easily, but this gives you deep control over the process that can be useful.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "form-control-infrastructure.html#submitevent", "SubmitEvent()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SubmitEvent.SubmitEvent")}}</p>
